'use strict';

const index = require('./index-aa12f9b8.js');

/*
 Stencil Client Patch Browser v2.4.0 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = (typeof document === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : (document.currentScript && document.currentScript.src || new URL('collapsible-dashboard.cjs.js', document.baseURI).href));
    const opts =  {};
    if ( importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return index.promiseResolve(opts);
};

patchBrowser().then(options => {
  return index.bootstrapLazy([["collapsible-dashboard_2.cjs",[[1,"collapsible-dashboard",{"direction":[1025,"dir"],"collapse":[1540],"open":[1540],"sidePanelBgColor":[1025,"side-panel-bg-color"],"sidePanelColor":[1025,"side-panel-color"],"mobileNavBgColor":[1025,"mobile-nav-bg-color"],"mobileNavColor":[1025,"mobile-nav-color"],"getSidePanelBgColorPromise":[64],"getSidePanelColorPromise":[64],"getMobileNavBgColorPromise":[64],"getMobileNavColorPromise":[64]},[[10,"touchstart","touchstart"],[10,"touchmove","touchmove"],[10,"touchend","touchend"],[9,"resize","windowResize"]]],[1,"dashboard-nav",{"class":[1],"collapsed":[1540],"href":[1544]}]]]], options);
});
