import { p as promiseResolve, b as bootstrapLazy } from './index-a34090ba.js';

/*
 Stencil Client Patch Esm v2.4.0 | MIT Licensed | https://stenciljs.com
 */
const patchEsm = () => {
    return promiseResolve();
};

const defineCustomElements = (win, options) => {
  if (typeof window === 'undefined') return Promise.resolve();
  return patchEsm().then(() => {
  return bootstrapLazy([["collapsible-dashboard_2",[[1,"collapsible-dashboard",{"direction":[1025,"dir"],"collapse":[1540],"open":[1540],"sidePanelBgColor":[1025,"side-panel-bg-color"],"sidePanelColor":[1025,"side-panel-color"],"mobileNavBgColor":[1025,"mobile-nav-bg-color"],"mobileNavColor":[1025,"mobile-nav-color"],"getSidePanelBgColorPromise":[64],"getSidePanelColorPromise":[64],"getMobileNavBgColorPromise":[64],"getMobileNavColorPromise":[64]},[[10,"touchstart","touchstart"],[10,"touchmove","touchmove"],[10,"touchend","touchend"],[9,"resize","windowResize"]]],[1,"dashboard-nav",{"class":[1],"collapsed":[1540],"href":[1544]}]]]], options);
  });
};

export { defineCustomElements };
