import { EventEmitter } from '../../stencil-public-runtime';
export declare class CollapsibleDashboard {
  element: HTMLCollapsibleDashboardElement;
  direction: 'rtl' | 'ltr';
  collapse: boolean;
  open: boolean;
  sidePanelBgColor: string;
  private sidePanelBgColorObject;
  sidePanelColor: string;
  private sidePanelColorObject;
  mobileNavBgColor: string;
  private mobileNavBgColorObject;
  mobileNavColor: string;
  private mobileNavColorObject;
  private dashboardWrapper;
  private sidePanel;
  collapseChange: EventEmitter<boolean>;
  collapseChangeHandler(collapse: boolean): void;
  setCollapse(newVal: any): void;
  componentWillLoad(): void;
  componentDidRender(): void;
  setSidePanelBgColor(newVal: any): void;
  setSidePanelColor(newVal: any): void;
  setMobileNavBgColor(newVal: any): void;
  setMobileNavColor(newVal: any): void;
  private updateCssVariables;
  getSidePanelBgColorPromise(): Promise<string>;
  getSidePanelBgColor(): string;
  getDefaultSidePanelColor(): "#232323" | "#efefef";
  getSidePanelColorPromise(): Promise<string>;
  getSidePanelColor(): string;
  getMobileNavBgColorPromise(): Promise<string>;
  getMobileNavBgColor(): string;
  getDefaultMobileNavColor(): "#232323" | "#efefef";
  getMobileNavColorPromise(): Promise<string>;
  getMobileNavColor(): string;
  private touchX;
  private touchY;
  private factor;
  private width;
  private deltaX;
  private deltaY;
  touchstart(event: TouchEventInit): void;
  touchmove(event: TouchEvent): void;
  touchend(): void;
  windowResize(): void;
  watchDir(newVal: any): void;
  private chevronLeft;
  private chevronRight;
  private menuIcon;
  render(): any;
}
